:This batch file is intended to be used by nodes during a netmail run.
:It will scan both the outgoing REP packet, and the incoming QWK packet.
:It will most likely require editing to match your environment.

:Start by performing your normal mail export which generates a REP packet
EXPORT

:After the REP packet is generated, extract the BBS_ID.REP packet putting it
:into a temp sub-directory such as a RAM disk, scan it for duplicates, and
:re-pack it into the REP packet. This prevents your system from re-exporting
:messages back out to the network by mistake. As well as stopping the network
:from sending your exported messages back to you by mistake
IF NOT EXIST D:\QWKFILES\BBS_ID.REP GOTO NOREP
PKUNZIP -o D:\QWKFILES\BBS_ID.REP BBS_ID.MSG D:\TEMPDIR
KILLQDUP D:\TEMPDIR\BBS_ID.MSG -LOG:D:\LOGS\KILLQDUP.LOG -CF:NODEFILE.CRC
IF ERRORLEVEL 1 GOTO NOREPDUPES
PKZIP -m D:\QWKFILES\BBS_ID.REP D:\TEMPDIR\BBS_ID.MSG
GOTO REPDUPEFOUND
:NOREPDUPES
DEL D:\TEMPDIR\BBS_ID.MSG
:REPDUPEFOUND
DEL D:\TEMPDIR\BBS_ID.BAK
:NOREP

:Now that the REP packet has been scanned for duplicates, do your normal mail
:run with your network mail HUB.
PCPLUS -fHUBTRANS

:At this point, the REP packet should have been uploaded to your HUB (and
:deleted by your script file), and a fresh QWK packet downloaded from your
:HUB. Now to scan the new QWK packet for duplicates, preventing duplicates
:from getting into your system from the HUB.
IF NOT EXIST D:\QWKFILES\BBS_ID.QWK GOTO NOQWK
PKUNZIP -o D:\QWKFILES\BBS_ID.QWK MESSAGES.DAT D:\TEMPDIR
KILLQDUP D:\TEMPDIR\MESSAGES.DAT -LOG:D:\LOGS\KILLQDUP.LOG -CF:NODEFILE.CRC
IF ERRORLEVEL 1 GOTO NOQWKDUPES
PKZIP -m D:\QWKFILES\BBS_ID.QWK D:\TEMPDIR\MESSAGES.DAT
GOTO QWKDUPEFOUND
:NOQWKDUPES
DEL D:\TEMPDIR\BBS_ID.MSG
:QWKDUPEFOUND
DEL D:\TEMPDIR\BBS_ID.BAK
:NOQWK

:Now that the QWK packet has been scanned for duplicates, do your normal
:mail import to put the remaining messages into your system.
IMPORT
